<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::gmock_more_actions_test::Foo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1gmock__more__actions__test_1_1Foo.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::gmock_more_actions_test::Foo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad6ba38dbb9b1594ac178630f07c4baa5"><td class="memItemLeft" align="right" valign="top"><a id="ad6ba38dbb9b1594ac178630f07c4baa5"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Nullary</b> () const</td></tr>
<tr class="separator:ad6ba38dbb9b1594ac178630f07c4baa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68d2b46d6cc7d51979b0254940af6090"><td class="memItemLeft" align="right" valign="top"><a id="a68d2b46d6cc7d51979b0254940af6090"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><b>Unary</b> (long x)</td></tr>
<tr class="separator:a68d2b46d6cc7d51979b0254940af6090"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ee56742c6c025af680617464c71ecef"><td class="memItemLeft" align="right" valign="top"><a id="a8ee56742c6c025af680617464c71ecef"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Binary</b> (const std::string &amp;str, char c) const</td></tr>
<tr class="separator:a8ee56742c6c025af680617464c71ecef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc5b86988210ad598fa3a2a9822297e4"><td class="memItemLeft" align="right" valign="top"><a id="afc5b86988210ad598fa3a2a9822297e4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Ternary</b> (int x, bool y, char z)</td></tr>
<tr class="separator:afc5b86988210ad598fa3a2a9822297e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69ca68e84528904032bad9533a23fb0a"><td class="memItemLeft" align="right" valign="top"><a id="a69ca68e84528904032bad9533a23fb0a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>SumOf4</b> (int a, int b, int c, int d) const</td></tr>
<tr class="separator:a69ca68e84528904032bad9533a23fb0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc041eb7a8e8211656495f2540f315ec"><td class="memItemLeft" align="right" valign="top"><a id="abc041eb7a8e8211656495f2540f315ec"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>SumOfLast2</b> (<a class="el" href="classtesting_1_1internal_1_1IgnoredValue.html">Unused</a>, <a class="el" href="classtesting_1_1internal_1_1IgnoredValue.html">Unused</a>, int a, int b) const</td></tr>
<tr class="separator:abc041eb7a8e8211656495f2540f315ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55fb0cdc224c450f401e0fea4f979512"><td class="memItemLeft" align="right" valign="top"><a id="a55fb0cdc224c450f401e0fea4f979512"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>SumOf5</b> (int a, int b, int c, int d, int e)</td></tr>
<tr class="separator:a55fb0cdc224c450f401e0fea4f979512"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34b5ae7cd4620331af92c637e3534bc4"><td class="memItemLeft" align="right" valign="top"><a id="a34b5ae7cd4620331af92c637e3534bc4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>SumOf6</b> (int a, int b, int c, int d, int e, int f)</td></tr>
<tr class="separator:a34b5ae7cd4620331af92c637e3534bc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ff9313371e65a91b086afdc2032b0eb"><td class="memItemLeft" align="right" valign="top"><a id="a5ff9313371e65a91b086afdc2032b0eb"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Concat7</b> (const char *s1, const char *s2, const char *s3, const char *s4, const char *s5, const char *s6, const char *s7)</td></tr>
<tr class="separator:a5ff9313371e65a91b086afdc2032b0eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25b91cea8633d026fe3f4a36c1574b8e"><td class="memItemLeft" align="right" valign="top"><a id="a25b91cea8633d026fe3f4a36c1574b8e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Concat8</b> (const char *s1, const char *s2, const char *s3, const char *s4, const char *s5, const char *s6, const char *s7, const char *s8)</td></tr>
<tr class="separator:a25b91cea8633d026fe3f4a36c1574b8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f5b145b0cd23055630b2f9d10b3f45b"><td class="memItemLeft" align="right" valign="top"><a id="a8f5b145b0cd23055630b2f9d10b3f45b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Concat9</b> (const char *s1, const char *s2, const char *s3, const char *s4, const char *s5, const char *s6, const char *s7, const char *s8, const char *s9)</td></tr>
<tr class="separator:a8f5b145b0cd23055630b2f9d10b3f45b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5b1d2dd1bcec98fdc90a05487ec3b14"><td class="memItemLeft" align="right" valign="top"><a id="ad5b1d2dd1bcec98fdc90a05487ec3b14"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Concat10</b> (const char *s1, const char *s2, const char *s3, const char *s4, const char *s5, const char *s6, const char *s7, const char *s8, const char *s9, const char *s10)</td></tr>
<tr class="separator:ad5b1d2dd1bcec98fdc90a05487ec3b14"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gmock-more-actions_test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>gmock_more_actions_test</b></li><li class="navelem"><a class="el" href="classtesting_1_1gmock__more__actions__test_1_1Foo.html">Foo</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
